OpenNMS API 1.2.9

## org.opennms.netmgt.threshd
Class StartService

    java.lang.Object
      org.opennms.netmgt.threshd.StartService

public final class StartService
extends java.lang.Object

This class is used to launch/start the thresholding daemon service in a Java Virtual Machine. It contains the method `main` which is a well defined entry point for the virtual machine.

Constructor Summary
`StartService()`

Method Summary
`static void` `main(java.lang.String[] args)` The main method used as a starting point for the Threshd service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartService

    public StartService()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method used as a starting point for the Threshd service. This method has the required signature necessary for the virtual machine to invoke on startup.

  Parameters:
    `args` - The arguments to the main method (not used).

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.